package lc.mecha.lang;

public interface Stateful {
    /**
     * Returns whether or not this stateful object currently is holding state (is believed to be current).
     */
    boolean stateIsProcessed();

    /**
     * Clear the state for this stateful object. Any associated storage should be released.
     */

    void clearState();
}
